## gnome-print-job-preview gnome-print-job-preview |

## Functions

#define | GNOME_TYPE_PRINT_JOB_PREVIEW
#define | GNOME_PRINT_JOB_PREVIEW()
#define | GNOME_PRINT_JOB_PREVIEW_CLASS()
#define | GNOME_IS_PRINT_JOB_PREVIEW()
#define | GNOME_IS_PRINT_JOB_PREVIEW_CLASS()
#define | GNOME_PRINT_JOB_PREVIEW_GET_CLASS()
GType | gnome_print_job_preview_get_type ()
GtkWidget * | gnome_print_job_preview_new ()

## Properties

GnomePrintJob * | job | Read / Write / Construct Only
gulong | nx | Read / Write
gulong | ny | Read / Write

## Types and Values

| GnomePrintJobPreview
| GnomePrintJobPreviewClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GnomePrintJobPreview

## Implemented Interfaces

GnomePrintJobPreview implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### GNOME_TYPE_PRINT_JOB_PREVIEW

    #define GNOME_TYPE_PRINT_JOB_PREVIEW         (gnome_print_job_preview_get_type ())

### GNOME_PRINT_JOB_PREVIEW()

    #define GNOME_PRINT_JOB_PREVIEW(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), GNOME_TYPE_PRINT_JOB_PREVIEW, GnomePrintJobPreview))

### GNOME_PRINT_JOB_PREVIEW_CLASS()

    #define GNOME_PRINT_JOB_PREVIEW_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST ((k),    GNOME_TYPE_PRINT_JOB_PREVIEW, GnomePrintJobPreviewClass))

### GNOME_IS_PRINT_JOB_PREVIEW()

    #define GNOME_IS_PRINT_JOB_PREVIEW(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), GNOME_TYPE_PRINT_JOB_PREVIEW))

### GNOME_IS_PRINT_JOB_PREVIEW_CLASS()

    #define GNOME_IS_PRINT_JOB_PREVIEW_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k),    GNOME_TYPE_PRINT_JOB_PREVIEW))

### GNOME_PRINT_JOB_PREVIEW_GET_CLASS()

    #define GNOME_PRINT_JOB_PREVIEW_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o),  GNOME_TYPE_PRINT_JOB_PREVIEW, GnomePrintJobPreviewClass))

### gnome_print_job_preview_get_type ()

    GType
    gnome_print_job_preview_get_type (void);

### gnome_print_job_preview_new ()

    GtkWidget *
    gnome_print_job_preview_new (GnomePrintJob *gpm,
                                 const guchar *title);

## Types and Values

### GnomePrintJobPreview

    typedef struct _GnomePrintJobPreview GnomePrintJobPreview;

### GnomePrintJobPreviewClass

    typedef struct _GnomePrintJobPreviewClass GnomePrintJobPreviewClass;

## Property Details

### The `“job”` property

      “job”                      GnomePrintJob *

Print job.

Flags: Read / Write / Construct Only

### The `“nx”` property

      “nx”                       gulong

Number of pages horizontally.

Flags: Read / Write

Allowed values: <= 65535

### The `“ny”` property

      “ny”                       gulong

Number of pages vertically.

Flags: Read / Write

Allowed values: <= 65535